--- Python-2.4.5/Modules/getpath.c.orig	2006-02-20 12:37:39.000000000 -0500
+++ Python-2.4.5/Modules/getpath.c	2009-07-07 15:46:11.000000000 -0400
@@ -112,8 +112,8 @@
 #endif
 
 #ifndef PYTHONPATH
-#define PYTHONPATH PREFIX "/lib/python" VERSION ":" \
-              EXEC_PREFIX "/lib/python" VERSION "/lib-dynload"
+#define PYTHONPATH PREFIX "/lib64/python" VERSION ":" \
+              EXEC_PREFIX "/lib64/python" VERSION "/lib-dynload"
 #endif
 
 #ifndef LANDMARK
@@ -124,7 +124,7 @@
 static char exec_prefix[MAXPATHLEN+1];
 static char progpath[MAXPATHLEN+1];
 static char *module_search_path = NULL;
-static char lib_python[] = "lib/python" VERSION;
+static char lib_python[] = "lib64/python" VERSION;
 
 static void
 reduce(char *dir)
@@ -519,7 +519,7 @@
     }
     else
         strncpy(zip_path, PREFIX, MAXPATHLEN);
-    joinpath(zip_path, "lib/python00.zip");
+    joinpath(zip_path, "lib64/python00.zip");
     bufsz = strlen(zip_path);	/* Replace "00" with version */
     zip_path[bufsz - 6] = VERSION[0];
     zip_path[bufsz - 5] = VERSION[2];
@@ -529,7 +529,7 @@
             fprintf(stderr,
                 "Could not find platform dependent libraries <exec_prefix>\n");
         strncpy(exec_prefix, EXEC_PREFIX, MAXPATHLEN);
-        joinpath(exec_prefix, "lib/lib-dynload");
+        joinpath(exec_prefix, "lib64/lib-dynload");
     }
     /* If we found EXEC_PREFIX do *not* reduce it!  (Yet.) */
 
--- Python-2.4.5/Lib/test/test_dl.py.orig	2002-07-23 15:04:11.000000000 -0400
+++ Python-2.4.5/Lib/test/test_dl.py	2009-07-07 15:46:11.000000000 -0400
@@ -7,8 +7,8 @@
 from test.test_support import verbose,TestSkipped
 
 sharedlibs = [
-    ('/usr/lib/libc.so', 'getpid'),
-    ('/lib/libc.so.6', 'getpid'),
+    ('/usr/lib64/libc.so', 'getpid'),
+    ('/lib64/libc.so.6', 'getpid'),
     ('/usr/bin/cygwin1.dll', 'getpid'),
     ]
 
--- Python-2.4.5/Lib/distutils/command/install.py.orig	2005-01-20 14:15:39.000000000 -0500
+++ Python-2.4.5/Lib/distutils/command/install.py	2009-07-07 15:46:11.000000000 -0400
@@ -38,15 +38,15 @@
 
 INSTALL_SCHEMES = {
     'unix_prefix': {
-        'purelib': '$base/lib/python$py_version_short/site-packages',
-        'platlib': '$platbase/lib/python$py_version_short/site-packages',
+        'purelib': '$base/lib64/python$py_version_short/site-packages',
+        'platlib': '$platbase/lib64/python$py_version_short/site-packages',
         'headers': '$base/include/python$py_version_short/$dist_name',
         'scripts': '$base/bin',
         'data'   : '$base',
         },
     'unix_home': {
-        'purelib': '$base/lib/python',
-        'platlib': '$base/lib/python',
+        'purelib': '$base/lib64/python',
+        'platlib': '$base/lib64/python',
         'headers': '$base/include/python/$dist_name',
         'scripts': '$base/bin',
         'data'   : '$base',
--- Python-2.4.5/Lib/distutils/sysconfig.py.orig	2006-10-08 13:41:25.000000000 -0400
+++ Python-2.4.5/Lib/distutils/sysconfig.py	2009-07-07 15:46:11.000000000 -0400
@@ -100,7 +100,7 @@
 
     if os.name == "posix":
         libpython = os.path.join(prefix,
-                                 "lib", "python" + get_python_version())
+                                 "lib64", "python" + get_python_version())
         if standard_lib:
             return libpython
         else:
--- Python-2.4.5/Lib/site.py.orig	2004-07-19 22:28:28.000000000 -0400
+++ Python-2.4.5/Lib/site.py	2009-07-07 15:46:11.000000000 -0400
@@ -179,12 +179,12 @@
                 sitedirs = [os.path.join(prefix, "Lib", "site-packages")]
             elif os.sep == '/':
                 sitedirs = [os.path.join(prefix,
-                                         "lib",
+                                         "lib64",
                                          "python" + sys.version[:3],
                                          "site-packages"),
-                            os.path.join(prefix, "lib", "site-python")]
+                            os.path.join(prefix, "lib64", "site-python")]
             else:
-                sitedirs = [prefix, os.path.join(prefix, "lib", "site-packages")]
+                sitedirs = [prefix, os.path.join(prefix, "lib64", "site-packages")]
             if sys.platform == 'darwin':
                 # for framework builds *only* we add the standard Apple
                 # locations. Currently only per-user, but /Library and
--- Python-2.4.5/Lib/trace.py.orig	2008-03-02 12:47:51.000000000 -0500
+++ Python-2.4.5/Lib/trace.py	2009-07-07 15:46:11.000000000 -0400
@@ -732,10 +732,10 @@
                 # should I also call expanduser? (after all, could use $HOME)
 
                 s = s.replace("$prefix",
-                              os.path.join(sys.prefix, "lib",
+                              os.path.join(sys.prefix, "lib64",
                                            "python" + sys.version[:3]))
                 s = s.replace("$exec_prefix",
-                              os.path.join(sys.exec_prefix, "lib",
+                              os.path.join(sys.exec_prefix, "lib64",
                                            "python" + sys.version[:3]))
                 s = os.path.normpath(s)
                 ignore_dirs.append(s)
--- Python-2.4.5/Makefile.pre.in.orig	2006-10-08 13:41:25.000000000 -0400
+++ Python-2.4.5/Makefile.pre.in	2009-07-07 15:46:11.000000000 -0400
@@ -79,11 +79,11 @@
 
 # Expanded directories
 BINDIR=		$(exec_prefix)/bin
-LIBDIR=		$(exec_prefix)/lib
+LIBDIR=		$(exec_prefix)/lib64
 MANDIR=		@mandir@
 INCLUDEDIR=	@includedir@
 CONFINCLUDEDIR=	$(exec_prefix)/include
-SCRIPTDIR=	$(prefix)/lib
+SCRIPTDIR=	$(prefix)/lib64
 
 # Detailed destination directories
 BINLIBDEST=	$(LIBDIR)/python$(VERSION)
@@ -884,7 +884,7 @@
 		exit 1; \
 	else true; \
 	fi
-	@for i in $(prefix)/Resources/English.lproj $(prefix)/lib; do\
+	@for i in $(prefix)/Resources/English.lproj $(prefix)/lib64; do\
 		if test ! -d $(DESTDIR)$$i; then \
 			echo "Creating directory $(DESTDIR)$$i"; \
 			$(INSTALL) -d -m $(DIRMODE) $(DESTDIR)$$i; \
